Changes to BibTool 2.48:

*) New resource print.comma.always (boolean), to print a comma after the last
field in an entry as well (default: false)

*) Support for $(DESTDIR) during make install. This greatly helps in making
packages (Linux rpms).

*) Patch to make BibTool find the kpathsea library which is already installed
on the system. You need to run autoconf after this.

*) Fix to parse.c to make it compile with gcc 3.3.3.

*) Fix to main.c to make it compile with kpathsea.

Volker Kuhlmann
  8, 15, 17 Mar 2003
  1, 5 Aug 2004



--- BibTool-2.48/print.c.orig	2004-02-08 22:41:47.000000000 +1300
+++ BibTool-2.48/print.c	2004-08-01 19:01:46.174278504 +1200
@@ -585,6 +585,8 @@
 			      : *(hp+1) ),	   /*                        */
 			     rsc_col,		   /*                        */
 			     fct);		   /*                        */
+	      if ( rsc_print_ca && i<=2 )	   /* Print comma after last */
+	        PUTS(comma1);   	    	   /* field as well! [VK]    */
 	    }					   /*			     */
 	    else				   /* Otherwise print a key  */
 	    { indent(rsc_col_key,fct);		   /*			     */
--- BibTool-2.48/include/bibtool/resource.h.orig	2004-02-08 22:42:41.000000000 +1300
+++ BibTool-2.48/include/bibtool/resource.h	2004-08-01 19:01:46.178277888 +1200
@@ -111,6 +111,7 @@
   RscBoolean( "print.use.tab"	      , r_put ,rsc_use_tabs	  ,  TRUE   )
   RscByFct(   "print"		      , r_p   ,rsc_print(val)	 	    )
   RscBoolean( "print.comma.at.end"    , r_pce ,rsc_print_ce	  ,  TRUE   )
+  RscBoolean( "print.comma.always"    , r_pca ,rsc_print_ca	  , FALSE   )
   RscBoolean( "print.wide.equal"      , r_pwe ,rsc_print_we	  , FALSE   )
   RscString(  "print.entry.types"     , r_pet ,rsc_print_et	  , "pisnmac")
 RSC_NEXT('q')
--- BibTool-2.48/AutoConf/makefile.in.orig	2004-02-08 22:46:11.000000000 +1300
+++ BibTool-2.48/AutoConf/makefile.in	2004-08-01 18:24:17.530220033 +1200
@@ -25,15 +25,15 @@
 #  Configuration Section
 # =============================================================================
 # 
-prefix	    = @prefix@
-exec_prefix = @exec_prefix@
+prefix	    = $(DESTDIR)@prefix@
+exec_prefix = $(DESTDIR)@exec_prefix@
 
 # -------------------------------------------------------
 #  Destination directory for make install
 #  This is usually a directory where public executables
 #  are installed.
 
-BINDIR     = @bindir@
+BINDIR     = $(DESTDIR)@bindir@
 
 # -------------------------------------------------------
 #  Destination directory for make install.man
@@ -42,7 +42,7 @@
 #  Additionally name the section of the man pages to use.
 #  This should be 1 (user commands), l (local), or n (new)
 # 
-MANDIR     = @mandir@
+MANDIR     = $(DESTDIR)@mandir@
 MANSECT    = 1
 
 # -------------------------------------------------------
@@ -51,7 +51,7 @@
 #  are installed plus a final BibTool.
 # 
 
-LIBDIR     = @libdir@/BibTool
+LIBDIR     = $(DESTDIR)@libdir@/BibTool
 
 #-------------------------------------------------------
 # Destination directory for make install.include
@@ -61,7 +61,7 @@
 #	code and may not be shared amoung architectures.
 #
 
-INCLUDEDIR = @includedir@/bibtool
+INCLUDEDIR = $(DESTDIR)@includedir@/bibtool
 
 # -------------------------------------------------------
 #  Name the C compiler
--- BibTool-2.48/parse.c.orig	2004-02-08 22:41:45.000000000 +1300
+++ BibTool-2.48/parse.c	2004-08-05 12:33:36.773735874 +1200
@@ -23,6 +23,7 @@
 #include <bibtool/macros.h>
 #include <bibtool/print.h>
 #ifdef HAVE_LIBKPATHSEA
+#define HAVE_PROTOTYPES
 #include <kpathsea/tex-file.h>
 #endif
 
--- BibTool-2.48/main.c.orig	2004-02-08 22:41:38.000000000 +1300
+++ BibTool-2.48/main.c	2004-08-05 12:33:08.552867735 +1200
@@ -339,7 +339,6 @@
 **		
 ** Returns:	
 **___________________________________________________			     */
-static int true() { return TRUE; }
 
 /*-----------------------------------------------------------------------------
 ** Function:	keep_selected()
--- BibTool-2.47/configure.in.orig	2002-02-13 00:47:04.000000000 +1300
+++ BibTool-2.47/configure.in	2003-03-15 13:41:38.000000000 +1300
@@ -71,11 +71,15 @@
 	kpathsea_dir=
 	kpathsea_lib=
 	kpathsea_def=
-	for cand in .. ../kpse3-2 kpse3-2 . 
+	for cand in .. ../kpse3-2 kpse3-2 . /usr/include
 	do
 		if test -f $cand/kpathsea/tex-file.h ; then
 			kpathsea_dir=$cand
-			kpathsea_lib=$cand/kpathsea/STATIC/libkpathsea.a
+			if test -f $cand/../lib/libkpathsea.a; then
+			  kpathsea_lib=$cand/../lib/libkpathsea.a
+			else
+			  kpathsea_lib=$cand/kpathsea/STATIC/libkpathsea.a
+			fi
 			kpathsea_def="-DHAVE_LIBKPATHSEA -I$cand"
 		fi
 	done
